import { loadErrorMessages, loadDevMessages } from "@apollo/client/dev";
import { ApolloProvider } from '@apollo/client';
import { client } from './graphql/client';

if (process.env.NODE_ENV !== "production") {
  loadDevMessages();
  loadErrorMessages();
}

import React from 'react';
import ReactDOM from 'react-dom/client';
import { App } from './App';
import { ThemeProvider } from './components/ThemeProvider';
import './index.css'

ReactDOM.createRoot(document.getElementById('root')!).render(
  <React.StrictMode>
    <ApolloProvider client={client}>
      <ThemeProvider>
        <App />
      </ThemeProvider>
    </ApolloProvider>
  </React.StrictMode>
);
