import { Knex } from 'knex';
import { BaseRepository } from './base-repository';
import { Image } from '@shared/index';

export class ImageRepository extends BaseRepository<Image> {
  constructor(db: Knex) {
    super(db, 'images');
  }

  async findByStepId(stepId: number): Promise<Image[]> {
    return await this.db(this.tableName)
      .where('step_id', stepId)
      .orderBy('order')
      .select('*');
  }
}